/*
 * Sun RPC is a product of Sun Microsystems, Inc. and is provided for
 * unrestricted use provided that this legend is included on all tape
 * media and as a part of the software program in whole or part.  Users
 * may copy or modify Sun RPC without charge, but are not authorized
 * to license or distribute it to anyone else except as part of a product or
 * program developed by the user.
 * 
 * SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
 * WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 * 
 * Sun RPC is provided with no support and without any obligation on the
 * part of Sun Microsystems, Inc. to assist in its use, correction,
 * modification or enhancement.
 * 
 * SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
 * INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
 * OR ANY PART THEREOF.
 * 
 * In no event will Sun Microsystems, Inc. be liable for any lost revenue
 * or profits or other special, indirect and consequential damages, even if
 * Sun has been advised of the possibility of such damages.
 * 
 * Sun Microsystems, Inc.
 * 2550 Garcia Avenue
 * Mountain View, California  94043
 */
/*
 * Copyright (c) 1990, Sun Microsystems, Inc.
 */

#ifndef	_RPC_RAC_H
#define	_RPC_RAC_H

#pragma ident	"@(#)rac.h	1.5	94/04/27 SMI"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __STDC__
void rac_drop (CLIENT *, void *);
enum clnt_stat	rac_poll (CLIENT *, void *);
enum clnt_stat	rac_recv (CLIENT *, void *);
void *rac_send (CLIENT *, unsigned long, xdrproc_t, void *, xdrproc_t,
		void *, struct timeval);
#else
void rac_drop ();
enum clnt_stat	rac_poll ();
enum clnt_stat	rac_recv ();
void *rac_send ();
#endif

/*
 *	If a rac_send fails, it returns (void *) 0.  The reason for failure
 *	is cached here.
 *	N.B.:  this is a global structure.
 */
extern struct rpc_err	rac_senderr;

#ifdef __cplusplus
}
#endif

#endif	/* _RPC_RAC_H */
