static int
in6_downgrade(struct servatb *sep, struct port *port, int fd)
{
	struct sockaddr_in6 sin6;
	int size = sizeof(sin6);

	if (!getpeername(0, (struct sockaddr*)&sin6, &size)) {
		int fam = AF_INET;
		if (inet6_isipv4addr(&sin6.sin6_addr))
			setsockopt(0, SOL_IPV6, IPV6_ADDRFORM, &fam,
				   sizeof(int));
	}
}


struct proto_ops tcpv6_proto_ops =
{
	"tcpv6",
	in6_downgrade
};
