/*
 * Sun RPC is a product of Sun Microsystems, Inc. and is provided for
 * unrestricted use provided that this legend is included on all tape
 * media and as a part of the software program in whole or part.  Users
 * may copy or modify Sun RPC without charge, but are not authorized
 * to license or distribute it to anyone else except as part of a product or
 * program developed by the user.
 * 
 * SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
 * WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 * 
 * Sun RPC is provided with no support and without any obligation on the
 * part of Sun Microsystems, Inc. to assist in its use, correction,
 * modification or enhancement.
 * 
 * SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
 * INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
 * OR ANY PART THEREOF.
 * 
 * In no event will Sun Microsystems, Inc. be liable for any lost revenue
 * or profits or other special, indirect and consequential damages, even if
 * Sun has been advised of the possibility of such damages.
 * 
 * Sun Microsystems, Inc.
 * 2550 Garcia Avenue
 * Mountain View, California  94043
 */
/*
 * Copyright (c) 1986-1991 by Sun Microsystems Inc. 
 */

#ident	"@(#)clnt_bsoc.c	1.9	93/07/05 SMI"


/* TEMPORARILY STUBBED OUT UNTIL BROADCAST ROUTINES ARRIVE */
/* OLD ROUTINES HAD INTERNET DEPENDANCIES	*/

#ifdef linux
/*
   Well, when they will arrive, they should be dropped to wastebasket.
   It is wrong place. --ANK
 */
#else
/*
 * clnt_bsoc.c
 * Help interface to broadcast service.
 *
 * the whole stuff should go away with dynamic transport specific libraries
 */

#include <rpc/rpc.h>
#include <rpc/trace.h>
#include <netconfig.h>

/*
 * Finds a list of broadcast addresses for the given transport tokenid
 * returns the number of such addresses found. Uses rpcbind and the
 * netdir daemon
 *
 * Returns the number of broadcast addresses found
 */
int
getbroadcastnets(fd, addrs, nconf)
	int fd;		/* Not being used currently */
	struct netbuf* addrs;
	struct netconfig *nconf;
{
	trace1(TR_getbroadcastnets, 0);
	trace1(TR_getbroadcastnets, 1);
	return (1);
}

/*
 * Do all the options managements stuff here. This is very protocol specific
 * and should be provided by the vendor. The following case is just for
 * socket/IP.
 * Returns 0 if succeeds else returns 1.
 */
int
negotiate_broadcast(fd, nconf)
	int fd;
	struct netconfig *nconf;
{
	trace1(TR_negotiate_broadcast, 0);
	trace1(TR_negotiate_broadcast, 1);
	return (0);
}
#endif
