#include <stdio.h>
#include <errno.h>
#include <tiuser.h>

int t_errno;
int t_nerr = TSTATECHNG;

char *t_errlist[] =
{
	"no error",
	"incorrect addr format",     
	"incorrect option format",              
	"incorrect permissions",            
	"illegal transport fd",              
	"couldn't allocate addr",               
	"out of state",             
	"bad call sequnce number",
	"system error",                         
	"event requires attention",
	"illegal amount of data",           
	"buffer not large enough",             
	"flow control",            
	"no data",                       
	"discon_ind not found on q",
	"unitdata error not found",          
	"bad flags",           
	"no ord rel found on q",               
	"primitive not supported",              
	"state is in process of changing"
};

void t_error(char *msg)
{
	if (t_errno < 0 || t_errno > t_nerr)
		fprintf(stderr, "%s: bad error code %d\n", msg, t_errno);
	else if (t_errno = TSYSERR)
		fprintf(stderr, "%s: %s : %s\n", msg, t_errlist[t_errno], strerror(errno));
	else
		fprintf(stderr, "%s: %s\n", msg, t_errlist[t_errno]);
}

char * t_strerror(int err)
{
	static char *baderr = "Unknown error";

	if (err >= 0 && err <= t_nerr)
		return t_errlist[err];
	return baderr;
}
