#ifndef KEYCLIENT_H_
#define KEYCLIENT_H_ 1


/* generic.c */

void setmodulus_and_root(const char * modx, int proot, unsigned * keybytesp);
void genkeys(keybuf_long public, keybuf_long secret, const char * pass, int bits);


/* update.c */
int mapupdate(char *name, char *mapname, u_int op, char *data);
int localupdate(char *name, char *filename, u_int op, char *data);

/* chkey_generic.c */
int get_pk_source(char* pk_service);
int keylogin(char* netname, char* secret);
void write_rootkey(char* secret);
int getnetnameof(char* netname, uid_t uid, char* domain);
char* get_nisplus_principal(char *directory, uid_t uid);
int nisplus_update(char* netname, char* public, char* secret, nis_name nis_princ);

#ifndef linux
/* random.c */
void srandom(unsigned x);
long random(void);
#endif


#endif /* KEYCLIENT_H_ */
